/**
*	r8c1b.h
*/

#include	"sfr_r81b.h"

/**
*	Processor mode register0
*/

#define	PM0	pm0	
#define	PM3	pm03	/* Software reset bit */

/* Processor mode register1 */
#define	PM1	pm1
#define	PM12	pm12	/* WDT interrupt/reset select bit */

/* System clock control register0 */
#define	CM0	cm0

#define	CM02	cm02	/* WAIT peripheral function clock stop bit */
#define	CM05	cm05	/* Main clock (Xin-Xout) stop bit */
#define	CM06	cm06	/* Main clock division select bit0 */

/* System clock control register1 */
#define	CM1	cm1

#define	CM10	cm10	/* All clock stop control bit */
#define	CM13	cm13	/* Port Xin-Xout switch bits */
#define	CM14	cm14	/* Low-speed on-chip oscillator stop bit */
#define	CM15	cm15	/* Xin-Xout drive capability select bit */
#define	CM16	cm16	/* Main clock division select bit1 */
#define	CM17	cm17	/* Main clock division select bit1 */

/* Address match interrupt enable register */
#define	AIER	aier

#define	AIER0	aier0	/* Address match interrupt 0 enable bit */
#define	AIER1	aier1	/* Address match interrupt 1 enable bit */

/* Protect register */
#define	PRCR	prcr

#define	PRC0	prc0	/* Protect bit0 */
#define	PRC1	prc1	/* Protect bit1 */
#define	PRC3	prc3	/* Protect bit3 */

/* Oscillation stop detection register */
#define	OCD	ocd

#define	OCD0	ocd0	/* Oscillation stop detection enabble bit */
#define	OCD1	ocd1	/* Oscillation stop detection enabble bit */
#define	OCD2	ocd2	/* System clock select bit */
#define	OCD3	ocd3	/* Clock monitor bit */

/* Watchdog timer reset register */
#define	WDTR	wdtr

/* Watchdog timer start register */
#define	WDTS	wdts

/* Watchdog timer control register */
#define	WDC	wdc
#define	WDC7	wdc7	/* Prescaler select bit */

/* Count source protect mode register */
#define	CSPR	cspr
#define	CSPRO	cspro	/* WDT count source protect mode select bit */

/* INT0 input filter select register */
#define	INT0F	int0f

#define	INT0F0	int0f0	/* INT0 input filter select bit */
#define	INT0F1	int0f1	/* INT0 input filter select bit */

/* High-speed on-chip oscillator A control register 0 */
#define	HRA0	hra0

#define	HRA00	hra00	/* High-speed on-chip oscillator A enable bit */
#define	HRA01	hra01	/* High-speed on-chip oscillator A select bit */

/* High-speed on-chip oscillator A control register 1 */
#define	HRA1	hra1

/* High-speed on-chip oscillator A control register 2 */
#define	HRA2	hra2

#define	HRA20	hra20	/* High-speed on-chip oscillator mode select bit */
#define	HRA21	hra21	/* High-speed on-chip oscillator mode select bit */

/* Voltage detection A register 1 */
#define	VCA1	vca1

#define	VCA13	vca13	/* Voltage detection 2 signal monitor flag */

/* Voltage detection A register 2 */
#define	VCA2	vca2

#define	VCA26	vca26	/* Voltage detection 1 enable bit */
#define	VCA27	vca27	/* Voltage detection 2 enable bit */

/* Voltage monitor 1 circuit control register */
#define	VW1C	vw1c

#define	VW1C0	vw1c0	/* Voltage monitor 1 reset enable bit */
#define	VW1C1	vw1c1	/* Voltage Monitor 1 digital filter disable mode select bit */
#define	VW1C2	vw1c2	/* Voltage change detection flag */
#define	VW1C3	vw1c3	/* Voltage detection 1 signal monitor flag */
#define	VW1F0	vw1f0	/* Sampling clock select bit */
#define	VW1F1	vw1f1	/* Sampling clock select bit */
#define	VW1C6	vw1c6	/* Voltage monitor 1 circuit mode select bit */
#define	VW1C7	vw1c7	/* Voltage monitor 1 reset generating condition select bit */

/* Voltage monitor 2 circuit control register */
#define	VW2C	vw2c

#define	VW2C0	vw2c0	/* Voltage monitor 2 interrupt / reset enable bit */
#define	VW2C1	vw2c1	/* Voltage monitor 2 digital filter disabled mode select bit */
#define	VW2C2	vw2c2	/* Voltage change detection flag */
#define	VW2C3	vw2c3	/* WDT Detection Flag */
#define	VW2F0	vw2f0	/* Sampling clock select bit */
#define	VW2F1	vw2f1	/* Sampling clock select bit */
#define	VW2C6	vw2c6	/* Voltage monitor 2 circuit mode select bit */
#define	VW2C7	vw2c7	/* Voltage monitor 2 interrupt / reset generating condition select bit */

/* Timer Z Mode register */
#define	TZMR	tzmr
#define	TYZMR	tyzmr

#define	TZMOD0	tzmod0	/* TimerZ Operation mode bit */
#define	TZMOD1	tzmod1	/* TimerZ Operation mode bit */
#define	TZWC	tzwc	/* TimerZ write control bit */
#define	TZS	tzs	/* TimerZ count start flag */

/* Timer Z waveform output control register */
#define	PUM	pum

#define	TZOPL	tzopl	/* TimerZ output level latch */
#define	INOSTG	inostg	/* INT0 pin one-shot trigger control bit */
#define	INOSEG	inoseg	/* INT0 pin one-shot trigger polarity select bit */

/* Prescaler Z register */
#define	PREZ	prez

/* Timer Z secondary register */
#define	TZSC	tzsc

/* Timer Z primary register */
#define	TZPR	tzpr

/* Timer Z output control register */
#define	TZOC	tzoc
#define	TYZOC	tyzoc

#define	TZOS	tzos	/* TimerZ one-shot start bit */
#define	TZOCNT	tzocnt	/* TimerZ programable waveform generation output switching bit */

/* Timer X mode register */
#define	TXMR	txmr

#define	TXMOD0	txmod0	/* Operation mode select bit0 */
#define	TXMOD1	txmod1	/* Operation mode select bit1 */
#define	R0EDG	r0edg	/* INT1/CNTR0 polarity switching bit */
#define	TXS	txs	/* TimerX count start flag */
#define	TXOCNT	txocnt	/* P30/CNTR0 select bit */
#define	TXMOD2	txmod2	/* Operation mode select bit2 */
#define	TXEDG	txedg	/* Active edge reception flag */
#define	TXUND	txund	/* TimerX under flow flag */

/* Prescaler X Register */
#define	PREX	prex

/* Timer X Register */
#define	TX	tx

/* Timer count source setting register */
#define	TCSS	tcss

#define	TXCK0	txck0	/* TimerX count source select bit */
#define	TXCK1	txck1	/* TimerX count source select bit */
#define	TZCK0	tzck0	/* TimerZ count source select bit */
#define	TZCK1	tzck1	/* TimerZ count source select bit */

/* External interrupt enable register */
#define	INTEN	inten

#define	INT0EN	int0en	/* INT0 input enable bit */
#define	INT0PL	int0pl	/* INT0 input polarity select bit */

/* Key input enable register */
#define	KIEN	kien

#define	KI0EN	ki0en	/* KI0 input enable bit */
#define	KI0PL	ki0pl	/* KI0 input polarity select bit */
#define	KI1EN	ki1en	/* KI1 input enable bit */
#define	KI1PL	ki1pl	/* KI1 input polarity select bit */
#define	KI2EN	ki2en	/* KI2 input enable bit */
#define	KI2PL	ki2pl	/* KI2 input polarity select bit */
#define	KI3EN	ki3en	/* KI3 input enable bit */
#define	KI3PL	ki3pl	/* KI3 input polarity select bit */

/* Timer C control register0 */
#define	TCC0	tcc0

#define	TCC00	tcc00	/* TimerC control bit */
#define	TCC01	tcc01	/* TimerC count source select bit */
#define	TCC02	tcc02	/* TimerC count source select bit */
#define	TCC03	tcc03	/* INT3 interrupt and capture polarity select bit */
#define	TCC04	tcc04	/* INT3 interrupt and capture polarity select bit */
#define	TCC06	tcc06	/* INT3 interrupt request generation timing select bit */
#define	TCC07	tcc07	/* INT3 interrupt/capture input switching bit */

/* Timer C control register1 */
#define	TCC1	tcc1

#define	TCC10	tcc10	/* INT3 input filter select bit */
#define	TCC11	tcc11	/* INT3 input filter select bit */
#define	TCC12	tcc12	/* TimerC counter reload select bit */
#define	TCC13	tcc13	/* Compare0/capture select bit */
#define	TCC14	tcc14	/* Compare0 output mode select bit */
#define	TCC15	tcc15	/* Compare0 output mode select bit */
#define	TCC16	tcc16	/* Compare1 output mode select bit */
#define	TCC17	tcc17	/* Compare1 output mode select bit */

/* UART0 bit rate generator */
#define	U0BRG	u0brg

/* UART1 bit rate generator */
#define	U1BRG	u1brg

/* UART transmit/receive control register2 */
#define	UCON	ucon

#define	U0IRS	u0irs	/* UART0 transmit interrupt cause select bit */
#define	U1IRS	u1irs	/* UART1 transmit interrupt cause select bit */
#define	U0RRM	u0rrm	/* UART0 continuous receive mode enable bit */
#define	U1SEL0	u1sel0	/* UART1 pin (P3_7/TXD1,P4_5/RXD1) select bit */
#define	U1SEL1	u1sel1	/* UART1 pin (P3_7/TXD1,P4_5/RXD1) select bit */
#define	CNTRSEL	cntrsel	/* Cntr0 signal pin select bit */

/* SS control register H */
#define	SSCRH	sscrh

#define	CKS0_SSCRH	cks0_sscrh	/* Transfer clock rate select bit */
#define	CKS1_SSCRH	cks1_sscrh	/* Transfer clock rate select bit */
#define	CKS2_SSCRH	cks2_sscrh	/* Transfer clock rate select bit */
#define	MSS_SSCRH	mss_sscrh	/* Master/Slave device select bit */
#define	RSSTP_SSCRH	rsstp_sscrh	/* Receive single stop bit */

/* SS control register L */
#define	SSCRL	sscrl	

#define	SRES_SSCRL	sres_sscrl	/* SSUA control part reset bit */
#define	SOLP_SSCRL	solp_sscrl	/* SOL write protect bit */
#define	SOL_SSCRL	sol_sscrl	/* Serial data output value setting bit */

/* SS mode register */
#define	SSMR	ssmr

#define	BC0_SSMR	bc0_ssmr	/* Bit counter 2 to 0*/
#define	BC1_SSMR	bc1_ssmr	/* Bit counter 2 to 0*/
#define	BC2_SSMR	bc2_ssmr	/* Bit counter 2 to 0*/
#define	CPHS_SSMR	cphs_ssmr	/* SSCK clock phase select bit */
#define	CPOS_SSMR	cpos_ssmr	/* SSCK clock polarity select bit */
#define	MLS_SSMR	mls_ssmr	/* MSB first/ LSB first select bit */

/* SS enable register */
#define	SSER	sser

#define	CEIE_SSER	ceie_sser	/* Conflict error interrupt enable bit */
#define	RE_SSER		re_sser		/* Receive enable bit */
#define	TE_SSER		te_sser		/* Transmit enable bit */
#define	RIE_SSER	rie_sser	/* Receive interrupt enable bit */
#define	TEIE_SSER	teie_sser	/* Transmit end interrupt enable bit */
#define	TIE_SSER	tie_sser	/* Transmit interrupt enable bit */

/* SS status register */
#define	SSSR	sssr

#define	CE_SSSR		ce_sssr		/* Conflict error flag */
#define	ORER_SSSR	orer_sssr	/* Overrun error flag */
#define	RDRF_SSSR	rdrf_sssr	/* Receive data register ful */
#define	TEND_SSSR	tend_sssr	/* Transmit end */
#define	TDRE_SSSR	tdre_sssr	/* Transmit data empty */

/* SS mode register 2 */
#define	SSMR2	ssmr2

#define	SSUMS_SSMR2	ssums_ssmr2	/* SSUA mode select bit */
#define	CSOS_SSMR2	csos_ssmr2	/* SCS pin open drain output select bit */
#define	SOOS_SSMR2	soos_ssmr2	/* SSO pin open drain output select bit */
#define	SCKOS_SSMR2	sckos_ssmr2	/* SSCK pin open drain output select bit */
#define	CSS0_SSMR2	css0_ssmr2	/* SCS pin selsct bit */
#define	CSS1_SSMR2	css1_ssmr2	/* SCS pin select bit */
#define	SCKS_SSMR2	scks_ssmr2	/* SSCK pin select bit */
#define	BIDE_SSMR2s	bide_ssmr2	/* Bidirectional mode enable bit */

/* SS transmit data register */
#define	SSTDR	sstdr

/* SS receive data register */
#define	SSRDR	ssrdr

/* IIC bus control register 1 */
#define	ICCR1	iccr1

#define	CKS0_ICCR1	cks0_iccr1	/* Transmit clock select bit 3 to 0 */
#define	CKS1_ICCR1	cks1_iccr1	/* Transmit clock select bit 3 to 0 */
#define	CKS2_ICCR1	cks2_iccr1	/* Transmit clock select bit 3 to 0 */
#define	CKS3_ICCR1	cks3_iccr1	/* Transmit clock select bit 3 to 0 */
#define	TRS_ICCR1	trs_iccr1	/* Transfer/receive select bit */
#define	MST_ICCR1	mst_iccr1	/* Master/slave select bit */
#define	RCVD_ICCR1	rcvd_iccr1	/* Receive disable bit */
#define	ICE_ICCR1	ice_iccr1	/* IIC bus interface 2A enable bit */

/* IIC bus control register 2 */
#define	ICCR2	iccr2

#define	IICRST_ICCR2	iicrst_iccr2	/* IIC control part reset bit */
#define	SCLO_ICCR2	sclo_iccr2	/* SCL monitor flag */
#define	SDAOP_ICCR2	sdaop_iccr2	/* SDAO write protect bit */
#define	SDAO_ICCR2	sdao_iccr2	/* SDA output value control bit */
#define	SCP_ICCR2	scp_iccr2	/* Start/Stop condition generation disable bit */
#define	BBSY_ICCR2	bbsy_iccr2	/* Bus busy bit */

/* IIC bus mode register */
#define	ICMR	icmr

#define	BC0_ICMR	bc0_icmr	/* Bit counter 2 to 0 */
#define	BC1_ICMR	bc1_icmr	/* Bit Counter 2 to 0 */
#define	BC2_ICMR	bc2_icmr	/* Bit Counter 2 to 0 */
#define	BCWP_ICMR	bcwp_icmr	/* BC write protect bit */
#define	WAIT_ICMR	wait_icmr	/* Wait insertion bit */
#define	MLS_ICMR	mls_icmr	/* MSB-First/LSB-First select */

/* IIC bus interrupt enable register */
#define	ICIER	icier

#define	ACKBT_ICIER	ackbt_icier	/* Transmit acknow ledge select bit */
#define	ACKBR_ICIER	ackbr_icier	/* Receive acknow ledge bit */
#define	ACKE_ICIER	acke_icier	/* Acknow ledge bit Judgement Select Bit */
#define	STIE_ICIER	stie_icier	/* Stop condition detection interrupt enable bit */
#define	NAKIE_ICIER	nakie_icier	/* NACK receive interrupt enable bit */
#define	RIE_ICIER	rie_icier	/* Receive interrupt enable bit */
#define	TEIE_ICIER	teie_icier	/* Transmit end interrupt enable bit */
#define	TIE_ICIER	tie_icier	/* Transmit interrupt enable bit */

/* IIC bus status register */
#define	ICSR	icsr

#define	ADZ_ICSR	adz_icsr	/* General call address recognition flag */
#define	AAS_ICSR	aas_icsr	/* Slave address recognition flag */
#define	AL_ICSR	al_icsr		/* Arbitration lost flag */
#define	STOP_ICSR	stop_icsr	/* Stop condition detection flag */
#define	NACKF_ICSR	nackf_icsr	/* No acknow ledge detection flag */
#define	RDRF_ICSR	rdrf_icsr	/* Receive data register full */
#define	TEND_ICSR	tend_icsr	/* Transmit end */
#define	TDRE_ICSR	tdre_icsr	/* Transmit data empty */

/* Slave address register */
#define	SAR	sar

#define	FS_SAR		fs_sar		/* Format select bit */
#define	SVA0_SAR	sva0_sar	/* Slave address 6 to 0 */
#define	SVA1_SAR	sva1_sar	/* Slave address 6 to 0 */
#define	SVA2_SAR	sva2_sar	/* Slave address 6 to 0 */
#define	SVA3_SAR	sva3_sar	/* Slave address 6 to 0 */
#define	SVA4_SAR	sva4_sar	/* Slave address 6 to 0 */
#define	SVA5_SAR	sva5_sar	/* Slave address 6 to 0 */
#define	SVA6_SAR	sva6_sar	/* Slave address 6 to 0 */

/* IIC bus transmit data register */
#define	ICDRT	icdrt

/* IIC bus receive data register */
#define	ICDRR	icdrr

/* A-D control register2 */
#define	ADCON2	adcon2

#define	SMP	smp	/* A-D conversion method select bit */

/* A-D control register0 */
#define	ADCON0	adcon0

#define	CH0		ch0	/* Analog input pin select bit */
#define	CH1		ch1	/* Analog input pin select bit */
#define	CH2		ch2	/* Analog input pin select bit */
#define	MD		md	/* A-D operation mode select bit */
#define	ADSEL0		adgsel0	/* A-D input group select bit */
#define	ADCAP		adcap	/* A-D conversion automatic start bit */
#define	ADST		adst	/* A-D conversion start flag */
#define	CKS0		cks0	/* Frequency select bit0 */
#define	CKS0_ADCON0	cks0_adcon0

/* A-D control register1 */
#define	ADCON1	adcon1

#define	BITS		bits	/* 8/10-bit mode select bit */
#define	CKS1		cks1	/* Frequency select bit1 */
#define	CKS1_ADCON1	cks1_adcon1
#define	VCUT		vcut	/* Vref connect bit */

/*------------------------------------------------------
  Port P1 register
------------------------------------------------------*/
#define	P1	p1

#define	P1_0	p1_0	/* Port P10 bit */
#define	P1_1	p1_1	/* Port P11 bit */
#define	P1_2	p1_2	/* Port P12 bit */
#define	P1_3	p1_3	/* Port P13 bit */
#define	P1_4	p1_4	/* Port P14 bit */
#define	P1_5	p1_5	/* Port P15 bit */
#define	P1_6	p1_6	/* Port P16 bit */
#define	P1_7	p1_7	/* Port P17 bit */

/* Port P1 direction register */
#define	PD1	pd1

#define	PD1_0	pd1_0	/* Port P10 direction bit */
#define	PD1_1	pd1_1	/* Port P11 direction bit */
#define	PD1_2	pd1_2	/* Port P12 direction bit */
#define	PD1_3	pd1_3	/* Port P13 direction bit */
#define	PD1_4	pd1_4	/* Port P14 direction bit */
#define	PD1_5	pd1_5	/* Port P15 direction bit */
#define	PD1_6	pd1_6	/* Port P16 direction bit */
#define	PD1_7	pd1_7	/* Port P17 direction bit */

/* Port P3 register */
#define	P3	p3

#define	P3_3	p3_3	/* Port P33 bit */
#define	P3_4	p3_4	/* Port P34 bit */
#define	P3_5	p3_5	/* Port P35 bit */
#define	P3_7	p3_7	/* Port P37 bit */

/* Port P3 direction register */
#define	PD3	pd3

#define	PD3_3	pd3_3	/* Port P33 direction bit */
#define	PD3_4	pd3_4	/* Port P34 direction bit */
#define	PD3_5	pd3_5	/* Port P35 direction bit */
#define	PD3_7	pd3_7	/* Port P37 direction bit */

/* Port P4 register */
#define	P4	p4

#define	P4_2	p4_2	/* Port P42 bit */
#define	P4_5	p4_5	/* Port P45 bit */
#define	P4_6	p4_6	/* Port P46 bit */
#define	P4_7	p4_7	/* Port P47 bit */

/* Port P4 direction register */
#define	PD4	pd4

#define	PD4_5	pd4_5	/* Port P45 direction bit */

/* Port mode register */
#define	PMR	pmr

#define	SSISEL	ssisel	/* SSI Signal Pin Select bit */
#define	IICSEL	iicsel	/* SSU / I2C bus Switch bit */

/* Pull-up control register0 */
#define	PUR0	pur0

#define	PU02	pu02	/* P10 to P13 pull-up */
#define	PU03	pu03	/* P14 to P17 pull-up */
#define	PU06	pu06	/* P33 pull-up */
#define	PU07	pu07	/* P34, P35, P37 pull-up */

/* Pull-up control register1 */
#define	PUR1	pur1
#define	PU11	pu11	/* P45 pull-up */

/* Port P1 drive capacity control register */
#define	DRR	drr

#define	DRR0	drr0	/* P10 capacity */
#define	DRR1	drr1	/* P11 capacity */
#define	DRR2	drr2	/* P12 capacity */
#define	DRR3	drr3	/* P13 capacity */

/* Timer C output control register */
#define	TCOUT	tcout

#define	TCOUT0	tcout0	/* CMP output enable bit0 */
#define	TCOUT1	tcout1	/* CMP output enable bit1 */
#define	TCOUT2	tcout2	/* CMP output enable bit2 */
#define	TCOUT3	tcout3	/* CMP output enable bit3 */
#define	TCOUT4	tcout4	/* CMP output enable bit4 */
#define	TCOUT5	tcout5	/* CMP output enable bit5 */
#define	TCOUT6	tcout6	/* CMP output reverse bit0 */
#define	TCOUT7	tcout7	/* CMP output reverse bit1 */

/* Flash mamory control register4 */
#define	FMR4	fmr4

#define	FMR40	fmr40	/* Erase-suspend function enable bit */
#define	FMR41	fmr41	/* Erase-suspend request bit */
#define	FMR42	fmr42	/* Program-suspend request bit */
#define	FMR43	fmr43	/* Erase command flag */
#define	FMR44	fmr44	/* Program command flag */
#define	FMR46	fmr46	/* Read status flag */
#define	FMR47	fmr47	/* Low-Power consumption read mode enable bit */

/* Flash mamory control register1 */
#define	FMR1	fmr1

#define	FMR11	fmr11	/* EW1 mode select bit */
#define	FMR15	fmr15	/* Block0 rewrite disable bit */
#define	FMR16	fmr16	/* Block1 rewrite disable bit */

/* Flash mamory control register0 */
#define	FMR0	fmr0

#define	FMR00	fmr00	/* RY/BY status flag */
#define	FMR01	fmr01	/* CPU rewrite mode select bit */
#define	FMR02	fmr02	/* Block0 and 1 rewrite enable bit */
#define	FMSTP	fmstp	/* Flash memory stop bit */
#define	FMR06	fmr06	/* Program status flag  */
#define	FMR07	fmr07	/* Erase status flag */

/* Key input interrupt control register */
#define	KUPIC	kupic

#define	ILVL0_KUPIC	ilvl0_kupic
#define	ILVL1_KUPIC	ilvl1_kupic
#define	ILVL2_KUPIC	ilvl2_kupic
#define	IR_KUPIC	ir_kupic

/* A-D interrupt control register */
#define	ADIC	adic

#define	ILVL0_ADIC	ilvl0_adic
#define	ILVL1_ADIC	ilvl1_adic
#define	ILVL2_ADIC	ilvl2_adic
#define	IR_ADIC		ir_adic

/* SSU interrupt control register */
#define	SSUAIC	ssuaic

#define	ILVL0_SSUAIC	ilvl0_ssuaic
#define	ILVL1_SSUAIC	ilvl1_ssuaic
#define	ILVL2_SSUAIC	ilvl2_ssuaic
#define	IR_SSUAIC	ir_ssuaic

/* IIC interrupt control register */
#define	IIC2AIC	iic2aic

#define	ILVL0_IIC2AIC	ilvl0_iic2aic
#define	ILVL1_IIC2AIC	ilvl1_iic2aic
#define	ILVL2_IIC2AIC	ilvl2_iic2aic
#define	IR_IIC2AIC	ir_iic2aic

/* Compare 1 interrupt control register */
#define	CMP1IC	cmp1ic

#define	ILVL0_CMP1IC	ilvl0_cmp1ic
#define	ILVL1_CMP1IC	ilvl1_cmp1ic
#define	ILVL2_CMP1IC	ilvl2_cmp1ic
#define	IR_CMP1IC	ir_cmp1ic

/* UART0 transmit interrupt control register */
#define	S0TIC	s0tic

#define	ILVL0_S0TIC	ilvl0_s0tic
#define	ILVL1_S0TIC	ilvl1_s0tic
#define	ILVL2_S0TIC	ilvl2_s0tic
#define	IR_S0TIC	ir_s0tic

/* UART0 receive interrupt control register */
#define	S0RIC	s0ric

#define	ILVL0_S0RIC	ilvl0_s0ric
#define	ILVL1_S0RIC	ilvl1_s0ric
#define	ILVL2_S0RIC	ilvl2_s0ric
#define	IR_S0RIC	ir_s0ric

/* UART1 transmit interrupt control register */
#define	S1TIC	s1tic

#define	ILVL0_S1TIC	ilvl0_s1tic
#define	ILVL1_S1TIC	ilvl1_s1tic
#define	ILVL2_S1TIC	ilvl2_s1tic
#define	IR_S1TIC	ir_s1tic

/* UART1 receive interrupt control register */
#define	S1RIC	s1ric

#define	ILVL0_S1RIC	ilvl0_s1ric
#define	ILVL1_S1RIC	ilvl1_s1ric
#define	ILVL2_S1RIC	ilvl2_s1ric
#define	IR_S1RIC	ir_s1ric

/* Timer X interrupt control register */
#define	TXIC	txic

#define	ILVL0_TXIC	ilvl0_txic
#define	ILVL1_TXIC	ilvl1_txic
#define	ILVL2_TXIC	ilvl2_txic
#define	IR_TXIC		ir_txic

/* Timer Z interrupt control register */
#define	TZIC	tzic

#define	ILVL0_TZIC	ilvl0_tzic
#define	ILVL1_TZIC	ilvl1_tzic
#define	ILVL2_TZIC	ilvl2_tzic
#define	IR_TZIC		ir_tzic

/* INT1 interrupt control register */
#define	INT1IC	int1ic

#define	ILVL0_INT1IC	ilvl0_int1ic
#define	ILVL1_INT1IC	ilvl1_int1ic
#define	ILVL2_INT1IC	ilvl2_int1ic
#define	IR_INT1IC	ir_int1ic

/* INT3 interrupt control register */
#define	INT3IC	int3ic

#define	ILVL0_INT3IC	ilvl0_int3ic
#define	ILVL1_INT3IC	ilvl1_int3ic
#define	ILVL2_INT3IC	ilvl2_int3ic
#define	IR_INT3IC	ir_int3ic

/* Timer C interrupt control register */
#define	TCIC	tcic

#define	ILVL0_TCIC	ilvl0_tcic
#define	ILVL1_TCIC	ilvl1_tcic
#define	ILVL2_TCIC	ilvl2_tcic
#define	IR_TCIC		ir_tcic

/* Compare 0 interrupt control register */
#define	CMP0IC	cmp0ic

#define	ILVL0_CMP0IC	ilvl0_cmp0ic
#define	ILVL1_CMP0IC	ilvl1_cmp0ic
#define	ILVL2_CMP0IC	ilvl2_cmp0ic
#define	IR_CMP0IC	ir_cmp0ic

/* INT0 interrupt control register */
#define	INT0IC	int0ic

#define	ILVL0_INT0IC	ilvl0_int0ic
#define	ILVL1_INT0IC	ilvl1_int0ic
#define	ILVL2_INT0IC	ilvl2_int0ic
#define	IR_INT0IC	ir_int0ic
#define	POL_INT0IC	pol_int0ic

/* UART0 transmit/receive mode register */
#define	U0MR	u0mr

#define	SMD0_U0MR	smd0_u0mr	/* Serial I/O mode select bit */
#define	SMD1_U0MR	smd1_u0mr	/* Serial I/O mode select bit */
#define	SMD2_U0MR	smd2_u0mr	/* Serial I/O mode select bit */
#define	CKDIR_U0MR	ckdir_u0mr	/* Internal/external clock select bit */
#define	STPS_U0MR	stps_u0mr	/* Stop bit length select bit */
#define	PRY_U0MR	pry_u0mr	/* Odd/even parity select bit */
#define	PRYE_U0MR	prye_u0mr	/* Parity enable bit */

/* UART1 transmit/receive mode register */
#define	U1MR	u1mr

#define	SMD0_U1MR	smd0_u1mr	/* Serial I/O mode select bit */
#define	SMD1_U1MR	smd1_u1mr	/* Serial I/O mode select bit */
#define	SMD2_U1MR	smd2_u1mr	/* Serial I/O mode select bit */
#define	CKDIR_U1MR	ckdir_u1mr	/* Internal/external clock select bit */
#define	STPS_U1MR	stps_u1mr	/* Stop bit length select bit */
#define	PRY_U1MR	pry_u1mr	/* Odd/even parity select bit *//
#define	PRYE_U1MR	prye_u1mr	/* Parity enable bit */

/* UART0 transmit/receive control register0 */
#define	U0C0	u0c0

#define	CLK0_U0C0	clk0_u0c0	/* BRG count source select bit */
#define	CLK1_U0C0	clk1_u0c0	/* BRG count source select bit */
#define	TXEPT_U0C0	txept_u0c0	/* Transmit register empty flag */
#define	NCH_U0C0	nch_u0c0	/* Data output select bit */
#define	CKPOL_U0C0	ckpol_u0c0	/* CLK polarity select bit */
#define	UFORM_U0C0	uform_u0c0	/* Transfer format select bit */

/* UART1 transmit/receive control register0 */
#define	U1C0	u1c0

#define	CLK0_U1C0	clk0_u1c0	/* BRG count source select bit */
#define	CLK1_U1C0	clk1_u1c0	/* BRG count source select bit */
#define	TXEPT_U1C0	txept_u1c0	/* Transmit register empty flag */
#define	NCH_U1C0	nch_u1c0	/* Data output select bit */
#define	CKPOL_U1C0	ckpol_u1c0	/* CLK polarity select bit */
#define	UFORM_U1C0	uform_u1c0	/* Transfer format select bit */


/* UART0 transmit/receive control register1 */
#define	U0C1		u0c1

#define	TE_U0C1		te_u0c1		/* Transmit enable bit */
#define	TI_U0C1		ti_u0c1		/* Transmit buffer empty flag */
#define	RE_U0C1		re_u0c1		/* Receive enable bit */
#define	RI_U0C1		ri_u0c1		/* Receive complete flag */

/* UART1 transmit/receive control register1 */
#define	U1C1		u1c1

#define	TE_U1C1		te_u1c1		/* Transmit enable bit */
#define	TI_U1C1		ti_u1c1		/* Transmit buffer empty flag */
#define	RE_U1C1		re_u1c1		/* Receive enable bit */
#define	Ri_U1C1		ri_u1c1		/* Receive complete flag */

/* UARTi receive buffer register */
#define	U0RB		u0rb
#define	U0RBL		u0rbl
#define	U0RBH		u0rbh

#define	OER_U0RB	oer_u0rb	/* Overrun error flag */
#define	FER_U0RB	fer_u0rb	/* Framing error flag */
#define	PER_U0RB	per_u0rb	/* Parity error flag */
#define	SUM_U0RB	sum_u0rb	/* Error sum flag */

/* UART1 receive buffer register */
#define	U1RB		u1rb
#define	U1RBL		u1rbl
#define	U1RBH		u1rbh

#define	OER_U1RB	oer_u1rb	/* Overrun error flag */
#define	FER_U1RB	fer_u1rb	/* Framing error flag */
#define	PER_U1RB	per_u1rb	/* Parity error flag */
#define	SUM_U1RB	sum_u1rb	/* Error sum flag */

#define	RMAD0		rmad0		/* Address match interrupt register0 */
#define	RMAD0L		rmad0l		/* Address match interrupt register0 Low */
#define	RMAD0M		rmad0m		/* Address match interrupt register0 Middle */
#define	RMAD0H		rmad0h		/* Address match interrupt register0 High */
#define	RMAD1		rmad1		/* Address match interrupt register1 */
#define	RMAD1L		rmad1l		/* Address match interrupt register1 Low */
#define	RMAD1M		rmad1m		/* Address match interrupt register1 Middle */
#define	RMAD1H		rmad1h		/* Address match interrupt register1 High */

#define	TC		tc		/* Timer C */
#define	TCL		tcl		/* Timer C Low */
#define	TCH		tch		/* Timer C High */
#define	TM0		tm0		/* Capture, compare0 register */
#define	TM0L		tm0l		/* Capture, compare0 register Low */
#define	TM0H		tm0h		/* Capture, compare0 register High */
#define	TM1		tm1		/* Compare1 register */
#define	TM1L		tm1l		/* Compare1 register Low */
#define	TM1H		tm1h		/* Compare1 register High */
#define	U0TB		u0tb		/* UART0 transmit buffer register */
#define	U0TBL		u0tbl		/* UART0 transmit buffer register Low */
#define	U0TBH		u0tbh		/* UART0 transmit buffer register High */
#define	U1TB		u1tb		/* UART1 transmit buffer register */
#define	U1TBL		u1tbl		/* UART1 transmit buffer register Low */
#define	U1TBH		u1tbh		/* UART1 transmit buffer register High */
#define	AD		ad		/* A-D register  */
#define	ADL		adl		/* A-D register Low */
#define	ADH		adh		/* A-D register High */

/* end of r8c_1b.h */
