/**
*	testpwm.c
*	PWMɂtRgXg
*	
*	2007.11.11	Copyright Junnichi Tomaru
*/
#include	"r8c1b.h"
#include	"lcd.h"
#include	"userdef.h"

#define	_di()	asm( "FCLR I" );	/* 荞݋֎~ */
#define	_ei()	asm( "FSET I" );	/* 荞݋ */

#define	CYCLE		1000	/* 20MHz / 1000 = 20kHz */
#define	DUTY_5V		100	/* 5Vpl */
#define	DUTY_33V	364	/* 3.3Vpl */
#define	MODE		P1_7
#define	UP_KEY		P4_2
#define	DOWN_KEY	P3_5
#define	MEM_KEY		P3_4

#define	A_TOP	0
#define	B_TOP	1024

extern void	read_eeprom( int addr, char *data, int cnt );
extern bool	write_eeprom( int addr, char *data, int cnt );
extern bool	erase_eeprom( int addr );

word	counter;	/* 1msJE^ */
int	duty;
char	mode, keybuf, ers, mem;
struct{
	byte	flg;
	int	duty5;
	int	duty33;
} contrast;

/*
*	^C}w荞(1ms)
*	荞݃xN^22
*/
#pragma interrupt timerx_int
void	timerx_int( void )
{
	counter++;
	if(( counter & 0x1f ) == 0 ){
		keybuf = !MEM_KEY;	/* L{^XL */
	}
}


/**
*	1msPʂ̃JE^l
*	 in:Ȃ
*	out:Ȃ
*/
word	getcount1ms( void )
{
	word	ret;

	_di( );
	ret = counter;
	_ei( );

	return	ret;
}


/**
*	m҂(őUT.Tb)
*	܂萳mł͂Ȃ
*	in	҂
*	out	Ȃ
*/
void	waitms( word wait )
{
	word	wt;

	for( wt = getcount1ms( ); ( getcount1ms( ) - wt ) < wait; );
}


/**
*	RgXglA
*	 in	i[
*	out	RgXgLl
*		ersɏAmemɊi[悪(0:A,1:B,2:Ȃ)
*/
int	readcontrast( void )
{
	byte	c;
	int	ret;

	read_eeprom( A_TOP, (char *)&contrast, sizeof( contrast ));	/* tO */
	if( contrast.flg == 0xff ){		/* A͏Ă */
		read_eeprom( B_TOP, (char *)&contrast, sizeof( contrast ));	/* tO */
		if( contrast.flg == 0xff ){	/* BĂ */
			contrast.duty5 = DUTY_5V;
			contrast.duty33 = DUTY_33V;
			ers = 2;
			mem = 0;
		}
		else{
			ers = 1;
			mem = 0;
		}
	}
	else{
		ers = 0;
		mem = 1;
	}
	ret = mode? contrast.duty5: contrast.duty33;

	return	ret;
}


/**
*	|[gyѓ@\
*	 in	Ȃ
*	out	Ȃ
*/
void	init( void )
{
	_di( );
	PRC0 = 1;	/* veNg */
	CM13 = 1;	/* Xin XoutI */
	CM15 = 1;	/* XIN-XOUT 쓮\͑I: HIGH */
	CM05 = 0;	/* CNbNU */
	CM16 = 0;	/* CNbNȂ */
	CM17 = 0;
	CM06 = 0;	/* CNbNCM16,CM17L */
	asm( "nop" );	/* U҂ 256us */
	asm( "nop" );
	asm( "nop" );
	asm( "nop" );
	OCD2 = 0;	/* CNbNI */
	PRC0 = 0;	/* veNg */

	P1 = 0x0;
	P3 = 0x8;
	
	/* PDx 0: 1:o */
	PD1 = 0x70;	/* PORT1 0-3,7:IN 4-6:OUT */
	PD3 = 0x8;	/* PORT3 3,5,7:IN 4:OUT */
	PD4 = 0;	/* P42,45 IN */

	mode = !MODE;
	duty = readcontrast( );	/* Ll */

	/* ^C}b@PWMp */
	TCC0 = 0;	/* f1 */
	TCC1 = 0xec;	/* CMP0:Low CMP1:High CMP1:Clear */
	TCOUT = 0x08;	/* CMP1_0o */
	TM1 = CYCLE - 1;	/*  */
	TM0 = duty - 1;	/* f[eB */
	TCC00 = 1;	/* START */

	TXMR = 0x00;	/* ^C}[h */
	TCSS = 0x01;	/* JE^ f/8 = 2.5MHz */
	PREX = 250 - 1;
	TX = 10 - 1;	/* 2.5MHz / 250 / 10 = 1msec(1000Hz) */
	TXIC = 0x01;	/* 荞݃x1 */
	TXS = 1;	/* JEgJn */
}


/**
*	AXL[(unsigned short)
*	 in	num:f[^
*		buf:i[敶
*	out	obt@|C^
*/
char	*utoaz( word num, char *buf )
{
	word	n;
	int	i;
	char	*p;

	p = buf;
	for( n = 10000U; n > 1; n /= 10, p++ ){
		i = num / n;
		num %= n;
		*p = ( char )( i + 0x30 );
	}
	*p = num + 0x30;
	*( p + 1 ) = '\0';

	return	buf;
}


/**
*	L[ZX
*	 in	Ȃ
*	out	0:L[͂Ȃ
*		̑:L[R[h
*/
char	keysense( void )
{
	char	key;
	static char	okey;

	_di( );
	key = keybuf;		/* XL */
	_ei( );
	if( key != 0 ){		/* L[͂ */
		if( key == okey ){	/* OƓ */
			key = 0;	/* ͂ȂƂɂ */
		}
		else{
			okey = key;
		}
	}
	else{			/* ͂Ȃ */
		key = 0;
		okey = 0;
	}

	return	key;
}


/**
*	C
*	 in	Ȃ
*	out	Ȃ
*/
void	main( void )
{
	char	b, buf[8];
	int	per, adr;

	init( );
	lcdinit( );
	lcdprint( 0, 0, "DUTY:" );

	if( mode ){
		lcdprint( 8, 0, "Vcc:5.0V" );
	}
	else{
		lcdprint( 8, 0, "Vcc:3.3V" );
	}
	utoaz( duty, buf );
	lcdprint( 1, 1, buf + 1 );	/* l\ */
	lcdputch( '/' );
	utoaz( CYCLE, buf );
	lcdputstr( buf + 1 );		/* ől\ */
	per = (int)(( (double)duty / CYCLE ) * 100 );
	utoaz( per, buf );
	lcdputch( '(' );
	lcdprint( 11, 1, buf + 2 );
	lcdputch( '%' );
	lcdputch( ')' );
	_forever{
		b = 0;
		if( UP_KEY == 0 ){	/* RgXgto */
			b = mode? 2: 1;
		}
		if( DOWN_KEY == 0 ){	/* RgXgcnvm */
			b = mode? 1: 2;
		}
		if( keysense( ) != 0 ){	/* LL[ */
			if( ers != 2 ){
				adr = ers? B_TOP: A_TOP;
				erase_eeprom( adr );
			}
			contrast.flg = 1;
			if( mode ){	/* 5V[h */
				contrast.duty5 = duty;
			}
			else{		/* 3.3V[h */
				contrast.duty33 = duty;
			}
			adr = mem? B_TOP: A_TOP;
			write_eeprom( adr, (char *)&contrast, sizeof( contrast ));
			waitms( 500 );
		}
		if( b == 1 ){		/* f[eB㏸ */
			duty++;
			if( duty > CYCLE ){/* I[o[ */
				duty = CYCLE;
			}
			TM0 = (word)duty - 1;	/* f[eBύX */
			utoaz((word)duty, buf );
			lcdprint( 1, 1, buf + 1 );	/* f[eB\ */
			per = (int)(((double)duty / CYCLE ) * 100 );
			utoaz( per, buf );
			lcdprint( 11, 1, buf + 2 );	/* p[Zg\ */
		}
		else if( b == 2 ){	/* f[eB䉺~ */
			duty--;
			if( duty <= 0 ){
				duty = 1;
			}
			TM0 = (word)duty - 1;	/* f[eBύX */
			utoaz((word)duty, buf );
			lcdprint( 1, 1, buf + 1 );	/* f[eB\ */
			per = (int)(((double)duty / CYCLE ) * 100 );
			utoaz( per, buf );
			lcdprint( 11, 1, buf + 2 );	/* p[Zg\ */
		}
		waitms( 10 );
	}
}


/* end of testpwm.c */
